import React from "react"


function columns12(): { label: string, fieldSHow?: { label: string, saveField: string, defaultValue: any[], data: any[] }, data: any[] }[] {

    return [
        {
            label: '游戏信息',
            data: [
                { title: '推广游戏CP名称', dataIndex: '1', label: '游戏信息', align: 'center', width: 95, default: 1 },
                { title: '推广游戏名称', dataIndex: '2', label: '游戏信息', align: 'center', width: 70, default: 2 },
                { title: '推广游戏应用类型', dataIndex: '3', label: '游戏信息', align: 'center', width: 70, default: 3 }
            ]
        },
        {
            label: '时间',
            data: [
                { title: '注册时间(小时)', dataIndex: '4', label: '时间', align: 'center', width: 100, default: 4 },
                { title: '注册时间(天)', dataIndex: '5', label: '时间', align: 'center', width: 100, default: 5 },
            ]
        },
        {
            label: '买量用户数据',
            data: [
                { title: '买量注册人数', dataIndex: 'l1', label: '买量用户数据', align: 'center', width: 70, default: 6 },
                { title: '买量活跃用户人数', dataIndex: 'l2', label: '买量用户数据', align: 'center', width: 70, default: 7 },
                { title: '买量创角人数', dataIndex: 'l3', label: '买量用户数据', align: 'center', width: 70, default: 8 },
                { title: '买量首日创角人数', dataIndex: 'l4', label: '买量用户数据', align: 'center', width: 70, default: 9 },
                { title: '买量新用户累计创角人数', dataIndex: 'l5', label: '买量用户数据', align: 'center', width: 110, default: 10 },
                { title: '买量创角量', dataIndex: 'l6', label: '买量用户数据', align: 'center', width: 70 },
                { title: '买量首日创角量', dataIndex: 'l7', label: '买量用户数据', align: 'center', width: 70 },
                { title: '买量新用户累计创角量', dataIndex: 'l8', label: '买量用户数据', align: 'center', width: 70 },
                { title: '买量首日创角率', dataIndex: 'l9', label: '买量用户数据', align: 'center', width: 70 },
                { title: '买量新用户创角率', dataIndex: 'l10', label: '买量用户数据', align: 'center', width: 70 },
                { title: '买量游戏当日LTV', dataIndex: 'l11', label: '买量用户数据', align: 'center', width: 70 },
            ]
        },
        {
            label: '自然量用户数据',
            data: [
                { title: '自然量注册人数', dataIndex: 'm1', label: '自然量用户数据', align: 'center', width: 70, default: 11 },
                { title: '自然量活跃用户人数', dataIndex: 'm2', label: '自然量用户数据', align: 'center', width: 110, default: 12 },
                { title: '自然量创角人数', dataIndex: 'm3', label: '自然量用户数据', align: 'center', width: 70, default: 13 },
                { title: '自然量首日创角人数', dataIndex: 'm4', label: '自然量用户数据', align: 'center', width: 110, default: 14 },
                { title: '自然量新用户累计创角人数', dataIndex: 'm5', label: '自然量用户数据', align: 'center', width: 110, default: 15 },
                { title: '自然量创角量', dataIndex: 'm6', label: '自然量用户数据', align: 'center', width: 70, default: 16 },
                { title: '自然量首日创角量', dataIndex: 'm7', label: '自然量用户数据', align: 'center', width: 70 },
                { title: '自然量新用户累计创角量', dataIndex: 'm8', label: '自然量用户数据', align: 'center', width: 70 },
                { title: '自然量首日创角率', dataIndex: 'm9', label: '自然量用户数据', align: 'center', width: 70 },
                { title: '自然量新用户创角率', dataIndex: 'm10', label: '自然量用户数据', align: 'center', width: 70 },
                { title: '自然量小游戏当日LTV', dataIndex: 'm11', label: '自然量用户数据', align: 'center', width: 70 }
            ]
        },
        {
            label: '总用户数据',
            data: [
                { title: '注册人数', dataIndex: 'o1', label: '总用户数据', align: 'center', width: 70, default: 16 },
                { title: '活跃用户人数', dataIndex: 'o2', label: '总用户数据', align: 'center', width: 70, default: 17 },
                { title: '创角人数', dataIndex: 'o3', label: '总用户数据', align: 'center', width: 70, default: 18 },
                { title: '首日创角人数', dataIndex: 'o4', label: '总用户数据', align: 'center', width: 70, default: 19 },
                { title: '新用户累计创角人数', dataIndex: 'o5', label: '总用户数据', align: 'center', width: 100, default: 20 },
                { title: '创角量', dataIndex: 'o6', label: '总用户数据', align: 'center', width: 70, default: 21 },
                { title: '首日创角量', dataIndex: 'o7', label: '总用户数据', align: 'center', width: 70 },
                { title: '新用户累计创角量', dataIndex: 'o8', label: '总用户数据', align: 'center', width: 70 },
                { title: '首日创角率', dataIndex: 'o9', label: '总用户数据', align: 'center', width: 70 },
                { title: '新用户创角率', dataIndex: 'o10', label: '总用户数据', align: 'center', width: 70 },
                { title: '游戏当日LTV', dataIndex: 'o11', label: '总用户数据', align: 'center', width: 70 }
            ]
        },
        {
            label: '买量付费数据',
            data: [
                { title: '买量首日新用户充值次数', dataIndex: 'a4', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量首日新用户充值人数', dataIndex: 'a5', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量首日新用户充值金额', dataIndex: 'a6', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量老用户充值次数', dataIndex: 'a7', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量老用户充值人数', dataIndex: 'a8', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量老用户充值金额', dataIndex: 'a9', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量账面充值次数', dataIndex: 'a10', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量账面充值人数', dataIndex: 'a11', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量账面充值金额', dataIndex: 'a12', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量新用户累计充值次数', dataIndex: 'a13', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量新用户累计充值人数', dataIndex: 'a14', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量新用户累计充值金额', dataIndex: 'a15', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量首日付费率', dataIndex: 'a16', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量当天付费率', dataIndex: 'a18', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量新用户付费比', dataIndex: 'a19', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量活跃用户付费率', dataIndex: 'a20', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量首日客单价', dataIndex: 'a21', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量当天客单价', dataIndex: 'a23', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量账面客单价', dataIndex: 'a24', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量复充率', dataIndex: 'a25', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量平均活跃付费率', dataIndex: 'a28', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量新增注册ARPU', dataIndex: 'a29', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量活跃ARPPU', dataIndex: 'a30', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量首日付费ARPU', dataIndex: 'a31', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量当天付费ARPU', dataIndex: 'a33', label: '买量付费数据', align: 'center', width: 70 },
                { title: '买量账面ARPU', dataIndex: 'a34', label: '买量付费数据', align: 'center', width: 70 },
            ]
        },
        {
            label: '自然量付费数据',
            data: [
                { title: '自然量首日新用户充值次数', dataIndex: 'b4', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量首日新用户充值人数', dataIndex: 'b5', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量首日新用户充值金额', dataIndex: 'b6', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量老用户充值次数', dataIndex: 'b7', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量老用户充值人数', dataIndex: 'b8', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量老用户充值金额', dataIndex: 'b9', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量账面充值次数', dataIndex: 'b10', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量账面充值人数', dataIndex: 'b11', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量账面充值金额', dataIndex: 'b12', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量新用户累计充值次数', dataIndex: 'b13', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量新用户累计充值人数', dataIndex: 'b14', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量新用户累计充值金额', dataIndex: 'b15', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量首日付费率', dataIndex: 'b16', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量当天付费率', dataIndex: 'b18', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量新用户付费比', dataIndex: 'b19', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量活跃用户付费率', dataIndex: 'b20', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量首日客单价', dataIndex: 'b21', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量当天客单价', dataIndex: 'b23', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量账面客单价', dataIndex: 'b24', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量复充率', dataIndex: 'b25', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量平均活跃付费率', dataIndex: 'b28', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量新增注册ARPU', dataIndex: 'b29', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量活跃ARPPU', dataIndex: 'b30', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量首日付费ARPU', dataIndex: 'b31', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量当天付费ARPU', dataIndex: 'b33', label: '自然量付费数据', align: 'center', width: 70 },
                { title: '自然量账面ARPU', dataIndex: 'b34', label: '自然量付费数据', align: 'center', width: 70 }
            ]
        },
        {
            label: '总付费数据',
            data: [
                { title: '总首日新用户充值次数', dataIndex: 'c4', label: '总付费数据', align: 'center', width: 70 },
                { title: '总首日新用户充值人数', dataIndex: 'c5', label: '总付费数据', align: 'center', width: 70 },
                { title: '总首日新用户充值金额', dataIndex: 'c6', label: '总付费数据', align: 'center', width: 70 },
                { title: '总老用户充值次数', dataIndex: 'c7', label: '总付费数据', align: 'center', width: 70 },
                { title: '总老用户充值人数', dataIndex: 'c8', label: '总付费数据', align: 'center', width: 70 },
                { title: '总老用户充值金额', dataIndex: 'c9', label: '总付费数据', align: 'center', width: 70 },
                { title: '总账面充值次数', dataIndex: 'c10', label: '总付费数据', align: 'center', width: 70 },
                { title: '总账面充值人数', dataIndex: 'c11', label: '总付费数据', align: 'center', width: 70 },
                { title: '总账面充值金额', dataIndex: 'c12', label: '总付费数据', align: 'center', width: 70 },
                { title: '总新用户累计充值次数', dataIndex: 'c13', label: '总付费数据', align: 'center', width: 70 },
                { title: '总新用户累计充值人数', dataIndex: 'c14', label: '总付费数据', align: 'center', width: 70 },
                { title: '总新用户累计充值金额', dataIndex: 'c15', label: '总付费数据', align: 'center', width: 70 },
                { title: '总首日付费率', dataIndex: 'c16', label: '总付费数据', align: 'center', width: 70 },
                { title: '总当天付费率', dataIndex: 'c18', label: '总付费数据', align: 'center', width: 70 },
                { title: '总新用户付费比', dataIndex: 'c19', label: '总付费数据', align: 'center', width: 70 },
                { title: '总活跃用户付费率', dataIndex: 'c20', label: '总付费数据', align: 'center', width: 70 },
                { title: '总首日客单价', dataIndex: 'c21', label: '总付费数据', align: 'center', width: 70 },
                { title: '总当天客单价', dataIndex: 'c23', label: '总付费数据', align: 'center', width: 70 },
                { title: '总账面客单价', dataIndex: 'c24', label: '总付费数据', align: 'center', width: 70 },
                { title: '总复充率', dataIndex: 'c25', label: '总付费数据', align: 'center', width: 70 },
                { title: '总平均活跃付费率', dataIndex: 'c28', label: '总付费数据', align: 'center', width: 70 },
                { title: '总新增注册ARPU', dataIndex: 'c29', label: '总付费数据', align: 'center', width: 70 },
                { title: '总活跃ARPPU', dataIndex: 'c30', label: '总付费数据', align: 'center', width: 70 },
                { title: '总首日付费ARPU', dataIndex: 'c31', label: '总付费数据', align: 'center', width: 70 },
                { title: '总当天付费ARPU', dataIndex: 'c33', label: '总付费数据', align: 'center', width: 70 },
                { title: '总账面ARPU', dataIndex: 'c34', label: '总付费数据', align: 'center', width: 70 }
            ]
        },
        {
            fieldSHow: {
                label: '日期区间字段展示',
                saveField: 'date_field',
                defaultValue: [  // 默认展示字段
                    { label: '创角人数', key: 'ffcjrs', type: '买量付费趋势' },
                    { label: '创角数量', key: 'ffcjsl', type: '买量付费趋势' },
                    { label: '活跃人数', key: 'ffhyrs', type: '买量付费趋势' },
                    { label: '充值人数', key: 'ffczrs', type: '买量付费趋势' },
                    { label: '充值金额', key: 'ffczje', type: '买量付费趋势' },
                    { label: '增', key: 'ffz', type: '买量付费趋势' },
                    { label: '回', key: 'ffh', type: '买量付费趋势' },
                    { label: '倍', key: 'ffb', type: '买量付费趋势' },
                ],
                data: [
                    {
                        label: '买量付费趋势',
                        data: [
                            { label: '创角人数', key: 'ffcjrs', type: '买量付费趋势' },
                            { label: '创角数量', key: 'ffcjsl', type: '买量付费趋势' },
                            { label: '活跃人数', key: 'ffhyrs', type: '买量付费趋势' },
                            { label: '充值人数', key: 'ffczrs', type: '买量付费趋势' },
                            { label: '充值金额', key: 'ffczje', type: '买量付费趋势' },
                            { label: '增', key: 'ffz', type: '买量付费趋势' },
                            { label: '回', key: 'ffh', type: '买量付费趋势' },
                            { label: '倍', key: 'ffb', type: '买量付费趋势' },
                        ]
                    },
                    {
                        label: '买量LTV数据',
                        data: [
                            { label: 'LTV', key: 'LTV', type: '买量LTV数据' },
                        ]
                    },
                    {
                        label: '买量留存分析',
                        data: [
                            { label: '活跃人数', key: 'lchyrs', type: '买量留存分析' },
                            { label: '留存率', key: 'lclcl', type: '买量留存分析' },
                        ]
                    },
                    {
                        label: '买量玩家90日激活数据',
                        data: [
                            { label: '创角人数', key: 'cjrs1', type: '买量玩家90日激活数据' },
                            { label: '付费人数', key: 'ffrs1', type: '买量玩家90日激活数据' },
                            { label: '创角比', key: 'cjb', type: '买量玩家90日激活数据' },
                            { label: '付费比', key: 'ffb1', type: '买量玩家90日激活数据' },
                        ]
                    },

                    {
                        label: '自然量付费趋势',
                        data: [
                            { label: '创角人数', key: 'ffcjrs', type: '自然量付费趋势' },
                            { label: '创角数量', key: 'ffcjsl', type: '自然量付费趋势' },
                            { label: '活跃人数', key: 'ffhyrs', type: '自然量付费趋势' },
                            { label: '充值人数', key: 'ffczrs', type: '自然量付费趋势' },
                            { label: '充值金额', key: 'ffczje', type: '自然量付费趋势' },
                            { label: '增', key: 'ffz', type: '自然量付费趋势' },
                            { label: '回', key: 'ffh', type: '自然量付费趋势' },
                            { label: '倍', key: 'ffb', type: '自然量付费趋势' },
                        ]
                    },
                    {
                        label: '自然量LTV数据',
                        data: [
                            { label: 'LTV', key: 'LTV', type: '自然量LTV数据' },
                        ]
                    },
                    {
                        label: '自然量留存分析',
                        data: [
                            { label: '活跃人数', key: 'lchyrs', type: '自然量留存分析' },
                            { label: '留存率', key: 'lclcl', type: '自然量留存分析' },
                        ]
                    },
                    {
                        label: '自然量玩家90日激活数据',
                        data: [
                            { label: '创角人数', key: 'cjrs1', type: '自然量玩家90日激活数据' },
                            { label: '付费人数', key: 'ffrs1', type: '自然量玩家90日激活数据' },
                            { label: '创角比', key: 'cjb', type: '自然量玩家90日激活数据' },
                            { label: '付费比', key: 'ffb1', type: '自然量玩家90日激活数据' },
                        ]
                    },
                    {
                        label: '总付费趋势',
                        data: [
                            { label: '创角人数', key: 'ffcjrs', type: '总付费趋势' },
                            { label: '创角数量', key: 'ffcjsl', type: '总付费趋势' },
                            { label: '活跃人数', key: 'ffhyrs', type: '总付费趋势' },
                            { label: '充值人数', key: 'ffczrs', type: '总付费趋势' },
                            { label: '充值金额', key: 'ffczje', type: '总付费趋势' },
                            { label: '增', key: 'ffz', type: '总付费趋势' },
                            { label: '回', key: 'ffh', type: '总付费趋势' },
                            { label: '倍', key: 'ffb', type: '总付费趋势' },
                        ]
                    },
                    {
                        label: '总LTV数据',
                        data: [
                            { label: 'LTV', key: 'LTV', type: '总LTV数据' },
                        ]
                    },
                    {
                        label: '总留存分析',
                        data: [
                            { label: '活跃人数', key: 'lchyrs', type: '总留存分析' },
                            { label: '留存率', key: 'lclcl', type: '总留存分析' },
                        ]
                    },
                    {
                        label: '总玩家90日激活数据',
                        data: [
                            { label: '创角人数', key: 'cjrs1', type: '总玩家90日激活数据' },
                            { label: '付费人数', key: 'ffrs1', type: '总玩家90日激活数据' },
                            { label: '创角比', key: 'cjb', type: '总玩家90日激活数据' },
                            { label: '付费比', key: 'ffb1', type: '总玩家90日激活数据' },
                        ]
                    },
                ]
            },
            label: 'D1-D30',
            data: [{
                title: "D1",
                dataIndex: "D1",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D2",
                dataIndex: "D2",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D3",
                dataIndex: "D3",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D4",
                dataIndex: "D4",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D5",
                dataIndex: "D5",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D6",
                dataIndex: "D6",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D7",
                dataIndex: "D7",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D8",
                dataIndex: "D8",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D9",
                dataIndex: "D9",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D10",
                dataIndex: "D10",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D11",
                dataIndex: "D11",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D12",
                dataIndex: "D12",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D13",
                dataIndex: "D13",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D14",
                dataIndex: "D14",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D15",
                dataIndex: "D15",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D16",
                dataIndex: "D16",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D17",
                dataIndex: "D17",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D18",
                dataIndex: "D18",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D19",
                dataIndex: "D19",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D20",
                dataIndex: "D20",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D21",
                dataIndex: "D21",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D22",
                dataIndex: "D22",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D23",
                dataIndex: "D23",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D24",
                dataIndex: "D24",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D25",
                dataIndex: "D25",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D26",
                dataIndex: "D26",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D27",
                dataIndex: "D27",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D28",
                dataIndex: "D28",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D29",
                dataIndex: "D29",
                label: "D1-D30",
                align: "center",
                width: 70
            }, {
                title: "D30",
                dataIndex: "D30",
                label: "D1-D30",
                align: "center",
                width: 70
            }]
        },
        {
            label: 'D31-D60',
            data: [{
                title: "D31",
                dataIndex: "D31",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D32",
                dataIndex: "D32",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D33",
                dataIndex: "D33",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D34",
                dataIndex: "D34",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D35",
                dataIndex: "D35",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D36",
                dataIndex: "D36",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D37",
                dataIndex: "D37",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D38",
                dataIndex: "D38",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D39",
                dataIndex: "D39",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D40",
                dataIndex: "D40",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D41",
                dataIndex: "D41",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D42",
                dataIndex: "D42",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D43",
                dataIndex: "D43",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D44",
                dataIndex: "D44",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D45",
                dataIndex: "D45",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D46",
                dataIndex: "D46",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D47",
                dataIndex: "D47",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D48",
                dataIndex: "D48",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D49",
                dataIndex: "D49",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D50",
                dataIndex: "D50",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D51",
                dataIndex: "D51",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D52",
                dataIndex: "D52",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D53",
                dataIndex: "D53",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D54",
                dataIndex: "D54",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D55",
                dataIndex: "D55",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D56",
                dataIndex: "D56",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D57",
                dataIndex: "D57",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D58",
                dataIndex: "D58",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D59",
                dataIndex: "D59",
                label: "D31-D60",
                align: "center",
                width: 70
            }, {
                title: "D60",
                dataIndex: "D60",
                label: "D31-D60",
                align: "center",
                width: 70
            }],
        },
        {
            label: 'D61-D90',
            data: [{
                title: "D61",
                dataIndex: "D61",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D62",
                dataIndex: "D62",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D63",
                dataIndex: "D63",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D64",
                dataIndex: "D64",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D65",
                dataIndex: "D65",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D66",
                dataIndex: "D66",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D67",
                dataIndex: "D67",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D68",
                dataIndex: "D68",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D69",
                dataIndex: "D69",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D70",
                dataIndex: "D70",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D71",
                dataIndex: "D71",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D72",
                dataIndex: "D72",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D73",
                dataIndex: "D73",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D74",
                dataIndex: "D74",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D75",
                dataIndex: "D75",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D76",
                dataIndex: "D76",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D77",
                dataIndex: "D77",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D78",
                dataIndex: "D78",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D79",
                dataIndex: "D79",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D80",
                dataIndex: "D80",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D81",
                dataIndex: "D81",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D82",
                dataIndex: "D82",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D83",
                dataIndex: "D83",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D84",
                dataIndex: "D84",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D85",
                dataIndex: "D85",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D86",
                dataIndex: "D86",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D87",
                dataIndex: "D87",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D88",
                dataIndex: "D88",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D89",
                dataIndex: "D89",
                label: "D61-D90",
                align: "center",
                width: 70
            }, {
                title: "D90",
                dataIndex: "D90",
                label: "D61-D90",
                align: "center",
                width: 70
            }],
        },
        {
            label: '月份',
            data: [{
                title: "M4",
                dataIndex: "M4",
                label: "月份",
                align: "center",
                width: 70
            }, {
                title: "M5",
                dataIndex: "M5",
                label: "月份",
                align: "center",
                width: 70
            }, {
                title: "M6",
                dataIndex: "M6",
                label: "月份",
                align: "center",
                width: 70
            }, {
                title: "M12",
                dataIndex: "M12",
                label: "月份",
                align: "center",
                width: 70
            },]
        },
        {
            label: '操作',
            data: [
                {
                    title: '操作',
                    dataIndex: 'cz',
                    label: '操作',
                    default: 21,
                    align: 'center',
                    width: 75,
                    render: (a: number) => {
                        return <span>推广30日复充趋势</span>
                    },
                }
            ]
        }
    ]
}

export default columns12