import { request } from 'umi';
import { api } from '../api';
import { Paging } from './rankingList';
let wapi = api + '/gameData'

/**
 * 订单列表
 * @param data 
 * @returns 
 */
export interface OrderListType extends Paging {
    
}
export async function getOrderListApi(data: OrderListType) {
    return request(wapi + `/game/order/detail`, {
        method: 'PUT',
        data
    });
}