import React from "react"

function columns12() {

    let newArr: { label: string, data: any[] }[] = [
        {
            label: '推广账号信息',
            data: [
                { title: '推广账号名称', dataIndex: '1', key: '1', label: '推广账号信息', align: 'center', width: 95, default: 1 },
                { title: '推广账号ID', dataIndex: '2', key: '2', label: '推广账号信息', align: 'center', width: 70, default: 2 },
                { title: '推广账号类型', dataIndex: '3', key: '3', label: '推广账号信息', align: 'center', width: 70, default: 3 },
                { title: '投放渠道', dataIndex: '4', key: '4', label: '推广账号信息', align: 'center', width: 70, default: 4 },
                { title: '推广状态', dataIndex: '5', key: '5', label: '推广账号信息', align: 'center', width: 70, default: 5 },
                { title: '充值模板', dataIndex: '6', key: '6', label: '推广账号信息', align: 'center', width: 70, default: 6 },
            ]
        },
        {
            label: '业务人员信息',
            data: [
                { title: '投手', dataIndex: '7', key: '7', label: '业务人员信息', align: 'center', width: 70, default: 7 },
                { title: '运营', dataIndex: '8', key: '8', label: '业务人员信息', align: 'center', width: 70, default: 8 },
                { title: '项目组', dataIndex: '9', key: '9', label: '业务人员信息', align: 'center', width: 70, default: 9 },
                { title: '期数', dataIndex: '10', key: '10', label: '业务人员信息', align: 'center', width: 70, default: 10 }
            ]
        },
        {
            label: '推广内容信息',
            data: [
                { title: '推广游戏CP名称', dataIndex: '11', key: '11', label: '推广内容信息', align: 'center', width: 70, default: 11 },
                { title: '推广游戏名称', dataIndex: '12', key: '12', label: '推广内容信息', align: 'center', width: 70, default: 12 },
                { title: '推广游戏应用类型', dataIndex: '13', key: '13', label: '推广内容信息', align: 'center', width: 70, default: 13 },
            ]
        },
        {
            label: '时间',
            data: [
                { title: '消耗时间（注册时间）', dataIndex: '14', key: '14', label: '时间', align: 'center', width: 110, default: 14 },
                { title: '充值时间', dataIndex: '15', key: '15', label: '时间', align: 'center', width: 110, default: 15 },
            ]
        },
        {
            label: '消耗',
            data: [
                { title: '消耗', dataIndex: '16', key: '16', label: '消耗', align: 'center', width: 70, default: 16 },
                { title: '赔付金', dataIndex: '17', key: '17', label: '消耗', align: 'center', width: 90, default: 17 },
                { title: '实际消耗', dataIndex: '18', key: '18', label: '消耗', align: 'center', width: 90, default: 18 },
                { title: '推广计划数量', dataIndex: '19', key: '19', label: '消耗', align: 'center', width: 90, default: 19 },
                { title: '推广广告数量', dataIndex: '20', key: '20', label: '消耗', align: 'center', width: 90, default: 20 },
            ]
        },
        {
            label: '广告曝光数据',
            data: [
                { title: '曝光量', dataIndex: 'a1', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '点击量', dataIndex: 'a2', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '转化量', dataIndex: 'a3', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '转化率', dataIndex: 'a4', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '平均转化成本', dataIndex: 'a5', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '深度转化量', dataIndex: 'a6', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '深度转化成本', dataIndex: 'a7', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '深度转化率', dataIndex: 'a8', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '千次曝光成本', dataIndex: 'a9', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '平均点击均价', dataIndex: 'a10', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '应用下载开始量', dataIndex: 'a11', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '应用下载开始成本', dataIndex: 'a12', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '应用下载开始率', dataIndex: 'a13', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '应用下载完成成本', dataIndex: 'a14', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '应用安装成本', dataIndex: 'a15', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '应用安装完成率', dataIndex: 'a16', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '应用激活量', dataIndex: 'a17', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '应用激活成本', dataIndex: 'a18', label: '广告曝光数据', align: 'center', width: 70 },
                { title: '应用激活率', dataIndex: 'a19', label: '广告曝光数据', align: 'center', width: 70 },
            ]
        },
        {
            label: '用户数据',
            data: [
                { title: '注册人数', dataIndex: 'b1', label: '用户数据', align: 'center', width: 70 },
                { title: '活跃用户人数', dataIndex: 'b2', label: '用户数据', align: 'center', width: 70 },
                { title: '创角人数', dataIndex: 'b3', label: '用户数据', align: 'center', width: 70 },
                { title: '首日创角人数', dataIndex: 'b4', label: '用户数据', align: 'center', width: 70 },
                { title: '新用户累计创角人数', dataIndex: 'b5', label: '用户数据', align: 'center', width: 70 },
                { title: '创角量', dataIndex: 'b6', label: '用户数据', align: 'center', width: 70 },
                { title: '首日创角量', dataIndex: 'b7', label: '用户数据', align: 'center', width: 70 },
                { title: '新用户累计创角量', dataIndex: 'b8', label: '用户数据', align: 'center', width: 70 },
                { title: '注册成本', dataIndex: 'b9', label: '用户数据', align: 'center', width: 70 },
                { title: '首日创角成本', dataIndex: 'b10', label: '用户数据', align: 'center', width: 70 },
                { title: '新用户创角成本', dataIndex: 'b11', label: '用户数据', align: 'center', width: 70 },
                { title: '首日创角率', dataIndex: 'b12', label: '用户数据', align: 'center', width: 70 },
                { title: '新用户创角率', dataIndex: 'b13', label: '用户数据', align: 'center', width: 70 },
                { title: '游戏当日LTV', dataIndex: 'b14', label: '用户数据', align: 'center', width: 70 },
                { title: '游戏当日广告变现ROI', dataIndex: 'b15', label: '用户数据', align: 'center', width: 70 }
            ]
        },
        {
            label: '付费数据',
            data: [
                { title: '新用户充值次数', dataIndex: 'c1', label: '付费数据', align: 'center', width: 70 },
                { title: '新用户充值人数', dataIndex: 'c2', label: '付费数据', align: 'center', width: 70 },
                { title: '新用户充值金额', dataIndex: 'c3', label: '付费数据', align: 'center', width: 70 },
                { title: '首日新用户充值次数', dataIndex: 'c4', label: '付费数据', align: 'center', width: 70 },
                { title: '首日新用户充值人数', dataIndex: 'c5', label: '付费数据', align: 'center', width: 70 },
                { title: '首日新用户充值金额', dataIndex: 'c6', label: '付费数据', align: 'center', width: 70 },
                { title: '老用户充值次数', dataIndex: 'c7', label: '付费数据', align: 'center', width: 70 },
                { title: '老用户充值人数', dataIndex: 'c8', label: '付费数据', align: 'center', width: 70 },
                { title: '老用户充值金额', dataIndex: 'c9', label: '付费数据', align: 'center', width: 70 },
                { title: '账面充值次数', dataIndex: 'c10', label: '付费数据', align: 'center', width: 70 },
                { title: '账面充值人数', dataIndex: 'c11', label: '付费数据', align: 'center', width: 70 },
                { title: '账面充值金额', dataIndex: 'c12', label: '付费数据', align: 'center', width: 70 },
                { title: '新用户累计充值次数', dataIndex: 'c13', label: '付费数据', align: 'center', width: 70 },
                { title: '新用户累计充值人数', dataIndex: 'c14', label: '付费数据', align: 'center', width: 70 },
                { title: '新用户累计充值金额', dataIndex: 'c15', label: '付费数据', align: 'center', width: 70 },
                { title: '首日回收率', dataIndex: 'c16', label: '付费数据', align: 'center', width: 70 },
                { title: '回收率', dataIndex: 'c17', label: '付费数据', align: 'center', width: 70 },
                { title: '当日回收率', dataIndex: 'c18', label: '付费数据', align: 'center', width: 70 },
                { title: '毛利额', dataIndex: 'c19', label: '付费数据', align: 'center', width: 70 },
                { title: '3日ROI', dataIndex: 'c20', label: '付费数据', align: 'center', width: 70 },
                { title: '5日ROI', dataIndex: 'c21', label: '付费数据', align: 'center', width: 70 },
                { title: '7日ROI', dataIndex: 'c22', label: '付费数据', align: 'center', width: 70 },
                { title: '30日ROI', dataIndex: 'c23', label: '付费数据', align: 'center', width: 70 },
                { title: '60日ROI', dataIndex: 'c24', label: '付费数据', align: 'center', width: 70 },
                { title: '180日ROI', dataIndex: 'c26', label: '付费数据', align: 'center', width: 70 },
                { title: '1年回收率', dataIndex: 'c27', label: '付费数据', align: 'center', width: 70 },
                { title: '首日付费率', dataIndex: 'c28', label: '付费数据', align: 'center', width: 70 },
                { title: '新用户付费率', dataIndex: 'c29', label: '付费数据', align: 'center', width: 70 },
                { title: '当天付费率', dataIndex: 'c30', label: '付费数据', align: 'center', width: 70 },
                { title: '新用户付费比', dataIndex: 'c31', label: '付费数据', align: 'center', width: 70 },
                { title: '活跃用户付费率', dataIndex: 'c32', label: '付费数据', align: 'center', width: 70 },
                { title: '首日客单价', dataIndex: 'c33', label: '付费数据', align: 'center', width: 70 },
                { title: '新用户客单价', dataIndex: 'c34', label: '付费数据', align: 'center', width: 70 },
                { title: '当天客单价', dataIndex: 'c35', label: '付费数据', align: 'center', width: 70 },
                { title: '账面客单价', dataIndex: 'c36', label: '付费数据', align: 'center', width: 70 },
                { title: '首日充值成本', dataIndex: 'c37', label: '付费数据', align: 'center', width: 70 },
                { title: '新用户充值成本', dataIndex: 'c38', label: '付费数据', align: 'center', width: 70 },
                { title: '当天充值成本', dataIndex: 'c39', label: '付费数据', align: 'center', width: 70 },
                { title: '复充率', dataIndex: 'c40', label: '付费数据', align: 'center', width: 70 },
                { title: '新用户复充率', dataIndex: 'c41', label: '付费数据', align: 'center', width: 70 },
                { title: '当天复充率', dataIndex: 'c42', label: '付费数据', align: 'center', width: 70 },
                { title: '平均活跃付费率', dataIndex: 'c43', label: '付费数据', align: 'center', width: 70 },
                { title: '新增注册ARPU', dataIndex: 'c44', label: '付费数据', align: 'center', width: 70 },
                { title: '活跃ARPPU', dataIndex: 'c45', label: '付费数据', align: 'center', width: 70 },
                { title: '首日付费ARPU', dataIndex: 'c46', label: '付费数据', align: 'center', width: 70 },
                { title: '新用户付费ARPU', dataIndex: 'c47', label: '付费数据', align: 'center', width: 70 },
                { title: '当天付费ARPU', dataIndex: 'c48', label: '付费数据', align: 'center', width: 70 },
                { title: '账面ARPU', dataIndex: 'c49', label: '付费数据', align: 'center', width: 70 }
            ]
        },
        {
            label: '操作',
            data: [
                {
                    title: '操作',
                    dataIndex: 'cz',
                    label: '操作',
                    default: 21,
                    key: 'cz',
                    align: 'center',
                    width: 75,
                    render: (a: number) => {
                        return <span>1111</span>
                    },
                }
            ]
        }
    ]

    return newArr
}

export default columns12